﻿@model List<DraftPortalView>
@{
    ViewBag.Title = "Index";
    Layout = "~/Areas/Sales/Views/Shared/_Layout.cshtml";
    //Permisos para la Sales Draft
    bool _ViewSalesDraft = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.SalesDraft.ToDescriptionString() && c.InternalKey == Enums.Actions.View.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _UpdateDraft = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.SalesDraft.ToDescriptionString() && c.InternalKey == Enums.Actions.Update.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    //Permisos para la Sales Quotation
    bool _UpdateSalesQuotation = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.SalesQuotation.ToDescriptionString() && c.InternalKey == Enums.Actions.Update.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _AddSalesQuotation = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.SalesQuotation.ToDescriptionString() && c.InternalKey == Enums.Actions.Add.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _ViewSalesQuotation = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.SalesQuotation.ToDescriptionString() && c.InternalKey == Enums.Actions.View.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    //Permisos para la Sales Order
    bool _UpdateSalesOrder = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.SalesOrder.ToDescriptionString() && c.InternalKey == Enums.Actions.Update.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _AddSalesOrder = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.SalesOrder.ToDescriptionString() && c.InternalKey == Enums.Actions.Add.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _ViewSalesOrder = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.SalesOrder.ToDescriptionString() && c.InternalKey == Enums.Actions.View.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    //Permisos para la Sales Invoice
    bool _UpdateSalesInvoice = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.SalesInvoice.ToDescriptionString() && c.InternalKey == Enums.Actions.Update.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _ViewSalesInvoice = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.SalesInvoice.ToDescriptionString() && c.InternalKey == Enums.Actions.View.ToDescriptionString()).FirstOrDefault() != null ? true : false;
}

@Styles.Render("~/Content/DataPicker")
@Styles.Render("~/bundles/DataTables-CSS")
@Scripts.Render("~/bundles/DataTables-JS")



<style>
    .textRight {
        text-align:right;
    }
</style>

<h1 class="page-header">@Drafts.MD</h1>
<!-- Row start -->
<div class="row">
    <div class="col-lg-3 sidebar-secondary">
        <div class="panel-group" id="accordion">
            <div class="panel panel-default">
                <div class="panel-heading buscar_main">
                    <h3 class="panel-title">
                        <a class="accordion-toggle collapsed" data-toggle="collapse" data-parent="#accordion" href="#collapseOne">@PurchaseOrders.Search </a>
                        <i class="indicator glyphicon glyphicon-search  pull-right"></i>
                    </h3>
                </div>
                <div id="collapseOne" class="panel-collapse collapse in">

                    <div class="panel-body">
                        <div class="form-group">
                            <div class="form-group">
                                @Html.TextBox("txtNro", null, new { @Id = "txtNro", @placeholder = @SaleOrders.DN, @class = "form-control" })
                            </div>
                           
                            <div class="form-group">
                                <div class="input-group date">
                                    @Html.TextBox("txtDocDateFrom", null, new { @Id = "txtDocDateFrom", @name = "txtDocDateFrom", @placeholder = @Drafts.PD + " " + @Drafts.From, @class = "form-control" })<label class="input-group-addon" for="txtDocDateFrom"><i class="glyphicon glyphicon-calendar"></i></label>
                                </div>
                                <div class="clear_simple"></div>
                                <div class="input-group date">
                                    @Html.TextBox("txtDocDateTo", null, new { @Id = "txtDocDateTo", @name = "txtDocDateTo", @placeholder = @Drafts.PD + " " + @Drafts.To, @class = "form-control" })<label class="input-group-addon" for="txtDocDateTo"><i class="glyphicon glyphicon-calendar"></i></label>
                                </div>
                            </div>
                           
                              
                            <div class="form-group">
                                @Html.TextBox("txtCodeVendor", null, new { @Id = "txtCodeVendor", @Name = "txtCodeVendor", @placeholder = @SaleOrders.CC, @class = "form-control" })
                            </div>
                           
                            <div class="form-group">
                                @Html.TextBox("txtNameVendor", null, new { @Id = "txtNameVendor", @placeholder = @SaleOrders.CN, @class = "form-control", @disabled = "disabled" })
                            </div>

                            <div class="form-group">
                                <button type="button" class="btn btn-success btn-ls pull-left " data-toggle="modal" data-target="#VendorModal"><span class="glyphicon glyphicon-search"></span>@SaleOrders.Search @SaleOrders.Customer</button>
                            </div>
                          
                          
                            <div class="form-group">
                                <select id="txtDocType" class="form-control" name="txtDocType">
                                    <option selected="selected" value="">@SaleOrders.ADT</option>
                                    <option value="17">@SaleOrders.SOS</option>
                                    <option value="23">@SaleOrders.SQS</option>
                                    <option value="13">@SaleOrders.SIS</option>
                                    <option value="LD">@SaleOrders.LD</option>
                                </select>
                            </div>
                        
                            <div class="form-group">
                                <select id="txtDocStatus" class="form-control" name="txtDocStatus">
                                    <option selected="selected" value="">@SaleOrders.ADS</option>
                                    <option value="O">@SaleOrders.Open</option>
                                    <option value="C">@SaleOrders.Closed</option>
                                </select>
                            </div>
                        </div>                                              
                        
                    </div>
                    <div class="panel-footer">
                        <button type="button" id="btSearch" class="btn btn-success btn-ls pull-left " data-toggle="modal"><span class="glyphicon glyphicon-search"></span>@PurchaseOrders.Search</button>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <div id="BodyDraft" class="col-md-9 sidebar-data">
        <div class="panel panel-default">
            <div class="panel-body">
                <div class="table-responsive responsive table_cart">
                    <table id="data-table-MyDocumentSales" class="table table-striped table-hover display" style="width:100%;"></table>
                    <script type="text/javascript">
                        var assetListVM;
                        $(function () {
                            assetListVM = {
                                dt: null,
                                init: function () {
                                    dt = $('#data-table-MyDocumentSales').DataTable({
                                        "autoWidth": false,
                                        "serverSide": true,
                                        "processing": true,
                                        "data": null,
                                        "dom": 'Blfrtip',
                                        "buttons": ['excel', 'pdf', 'print'],
                                        "searching": false,
                                        "order": [[ 0, "desc" ]],
                                        "ajax": {
                                            "url": "/Sales/SalesDraft/GetListDraftSales",
                                            "data": function (data) {
                                                var dateTxDoctDateFrom = $("#txtDocDateFrom").datepicker("getDate");
                                                var dateTxDoctDateTo = $("#txtDocDateTo").datepicker("getDate");
                                                data.pDocDateFrom = (isNaN(dateTxDoctDateFrom) == true ? null : ((dateTxDoctDateFrom.getMonth() + 1) + "/" + dateTxDoctDateFrom.getDate() + "/" + dateTxDoctDateFrom.getFullYear()));
                                                data.pDocDateTo = (isNaN(dateTxDoctDateTo) == true ? null : ((dateTxDoctDateTo.getMonth() + 1) + "/" + dateTxDoctDateTo.getDate() + "/" + dateTxDoctDateTo.getFullYear()));
                                                data.pDocStatus = $("#txtDocStatus").val();
                                                data.pDocType = $("#txtDocType").val();
                                                data.pCodeVendor = $("#txtCodeVendor").val();
                                                data.pDocNum = $("#txtNro").val();

                                            }
                                        },
                                        "columns": [
                                            { "title": "#", "data":"DocNum", "name": "DocNum" },
                                            { "title": "@Drafts.PD", "data":"DocDateJSONView", "name": "DocDate" },
                                            { "title": "@BusinessPartners.CC", "data":"CardCode", "name": "CardCode"  },
                                            { "title": "@BusinessPartners.CN", "data":"CardName", "name": "CardName"  },
                                            {
                                                "title": "@Drafts.DT", "name": "ObjType", "data": "ObjType",
                                                "render": function (data, type, full, meta) {
                                                    switch (data) {
                                                        case "17": return "@SaleOrders.SO"; break;
                                                        case "23": return "@SaleQuotations.SQ"; break;
                                                        case "13": return "@SalesInvoices.SI"; break;
                                                        case "0": return "@SaleOrders.LD"; break;
                                                        default: ""; break;
                                                    }
                                                }
                                            },
                                            {
                                                "title": "@Drafts.From", "name": "DraftOrigin", "data": "DraftOrigin","orderable": false,
                                                "render": function (data, type, full, meta) {
                                                    if(data == 1) {
                                                        return "<span class='icon-iphone' title='@Drafts.MOB '></span>";
                                                    }
                                                    else
                                                    {
                                                        return "";
                                                    }
                                                }
                                            },
                                            {
                                                "title": "@Drafts.DS", "name": "DocStatus", "data": "DocStatus",
                                                "render": function (data, type, full, meta) {
                                                    if(data == "C") {
                                                        return "@PurchaseOrders.Closed";
                                                    }
                                                    else
                                                    {
                                                        return "@PurchaseOrders.Open";
                                                    }
                                                }
                                            },
                                            {
                                                "title": "OpenQuantityStatus", "data": null, "orderable": false, "name": "",
                                                "render": function(data, type, full, meta) {
                                                    var returnValue = "<span></span>";

                                                    if (data.ObjType == "17")
                                                    {
                                                        switch (data.OpenQuantityStatus)
                                                        {
                                                            case 1:
                                                                returnValue = "<span class='dot open' title='@PurchaseOrders.OpenQuantitySOLevel_Red'></span>";
                                                                break;
                                                            case 2:
                                                                returnValue = "<span class='dot due' title='@PurchaseOrders.OpenQuantitySOLevel_Yellow'></span>";
                                                                break;
                                                            case 0:
                                                                returnValue = "<span class='dot close'  title='@PurchaseOrders.OpenQuantitySOLevel_Green'></span>";
                                                                break;
                                                        }
                                                    }

                                                    return returnValue;
                                                }
                                            },
                                            {
                                                "title": "", "data": null,"width": "110px", "orderable": false, "name": "",
                                                "render": function (data, type, full, meta) {
                                                    var mReturnValue = "<div class=\"block_tabla_minimo\">";
                                                    switch (data.ObjType) {
                                                        case "17":
                                                            var mReturnValue;
                                                            if(data.DocStatus == "C")
                                                            {
                                                                if(@_ViewSalesOrder.ToString().ToLower() == true)
                                                                {
                                                                    mReturnValue += "<a href=\"/Sales/SalesOrder/ActionPurchaseOrder?ActionPurchaseOrder=View&IdPO="+data.DocEntry+"&fromController=MyDocuments\" class=\"btn btn-primary btn-xs\"><span class=\"glyphicon glyphicon-eye-open\"></span>&nbsp;@PurchaseOrders.View</a>";
                                                                }
                                                            }
                                                            else
                                                            {
                                                                if(@_ViewSalesOrder.ToString().ToLower() == true)
                                                                {
                                                                    mReturnValue += "<a href=\"/Sales/SalesOrder/ActionPurchaseOrder?ActionPurchaseOrder=View&IdPO="+data.DocEntry+"&fromController=MyDocuments\" class=\"btn btn-primary btn-xs\"><span class=\"glyphicon glyphicon-eye-open\"></span>&nbsp;@PurchaseOrders.View</a>";
                                                                }
                                                                if(@_UpdateSalesOrder.ToString().ToLower() == true)
                                                                {
                                                                    mReturnValue += "<a href=\"/Sales/SalesOrder/ActionPurchaseOrder?ActionPurchaseOrder=Update&IdPO="+data.DocEntry+"&fromController=MyDocuments\" class=\"btn btn-primary btn-xs\"><span class=\"glyphicon glyphicon-eye-open\"></span>&nbsp;@PurchaseOrders.Edit</a>";
                                                                }
                                                            }
                                                            break;
                                                        case "23":
                                                            if(data.DocStatus == "C")
                                                            {
                                                                if(@_ViewSalesQuotation.ToString().ToLower() == true)
                                                                {
                                                                    mReturnValue += "<a href=\"/Sales/SalesQuotation/ActionPurchaseOrder?ActionPurchaseOrder=View&IdPO="+data.DocEntry+"&fromController=MyDocuments\" class=\"btn btn-primary btn-xs\"><span class=\"glyphicon glyphicon-eye-open\"></span>&nbsp;@PurchaseOrders.View</a>";
                                                                }
                                                            }
                                                            else
                                                            {
                                                                if(@_ViewSalesQuotation.ToString().ToLower() == true)
                                                                {
                                                                    mReturnValue += "<a href=\"/Sales/SalesQuotation/ActionPurchaseOrder?ActionPurchaseOrder=View&IdPO="+data.DocEntry+"&fromController=MyDocuments\" class=\"btn btn-primary btn-xs\"><span class=\"glyphicon glyphicon-eye-open\"></span>&nbsp;@PurchaseOrders.View</a>";
                                                                }
                                                                if(@_UpdateSalesQuotation.ToString().ToLower() == true)
                                                                {
                                                                    mReturnValue += "<a href=\"/Sales/SalesQuotation/ActionPurchaseOrder?ActionPurchaseOrder=Update&IdPO="+data.DocEntry+"&fromController=MyDocuments\" class=\"btn btn-primary btn-xs\"><span class=\"glyphicon glyphicon-eye-open\"></span>&nbsp;@PurchaseOrders.Edit</a>";
                                                                }
                                                            }
                                                            break;
                                                        case "13":
                                                            if(data.DocStatus == "C")
                                                            {
                                                                if(@_ViewSalesInvoice.ToString().ToLower() == true)
                                                                {
                                                                    mReturnValue += "<a href=\"/Sales/SalesInvoice/ActionSalesInvoice?ActionSalesInvoice=View&IdSI="+data.DocEntry+"&fromController=MyDocuments\" class=\"btn btn-primary btn-xs\"><span class=\"glyphicon glyphicon-eye-open\"></span>&nbsp;@PurchaseOrders.View</a>";
                                                                }
                                                            }
                                                            else
                                                            {
                                                                if(@_ViewSalesInvoice.ToString().ToLower() == true)
                                                                {
                                                                    mReturnValue += "<a href=\"/Sales/SalesInvoice/ActionSalesInvoice?ActionSalesInvoice=View&IdSI="+data.DocEntry+"&fromController=MyDocuments\" class=\"btn btn-primary btn-xs\"><span class=\"glyphicon glyphicon-eye-open\"></span>&nbsp;@PurchaseOrders.View</a>";
                                                                }
                                                                if(@_UpdateSalesInvoice.ToString().ToLower() == true)
                                                                {
                                                                    mReturnValue += "<a href=\"/Sales/SalesInvoice/ActionSalesInvoice?ActionSalesInvoice=Update&IdSI="+data.DocEntry+"&fromController=MyDocuments\" class=\"btn btn-primary btn-xs\"><span class=\"glyphicon glyphicon-eye-open\"></span>&nbsp;@PurchaseOrders.View</a>";
                                                                }
                                                            }
                                                            break;
                                                        case "0":
                                                            mReturnValue += "<a href=\"/Sales/SalesOrder/ActionPurchaseOrder?ActionPurchaseOrder=Update&IdPO=" + data.DocNum + "&fromController=LocalDrafts\" class=\"btn btn-primary btn-xs\"><span class=\"glyphicon glyphicon-eye-open\"></span>&nbsp;@PurchaseOrders.Edit</a>";
                                                            mReturnValue += "<a href=\"/Sales/SalesDraft/DeleteLocalDraft?draftId="+data.DocNum +"\" class=\"btn btn-primary btn-xs\"><span class=\"glyphicon glyphicon-eye-open\"></span>&nbsp;@PurchaseOrders.Delete</a>";
                                                            break;
                                                        default: "";
                                                            break;
                                                    }
                                                    return mReturnValue + "</div>";
                                                }
                                            },
                                            {
                                                "title": "Order Total Amount", "data": null, "orderable": false, "name": "", "className": "textRight",
                                                "render": function (data, type, full, meta) {
                                                    var n = data.DocTotal != null ? Math.round(data.DocTotal * 100) / 100 : 0;
                                                    var total = parseFloat(n).toFixed(2)
                                                    return total;

                                                }
                                            }
                                        ],
                                        "lengthMenu": [[10, 25, 50, 100], [10, 25, 50, 100]],
                                        language: {

                                            processing: "@DataTables.Processing",
                                            lengthMenu: "@DataTables.Show _MENU_ @DataTables.Entries",
                                            info: "@DataTables.Showing _START_ @DataTables.To _END_ @DataTables.Of _TOTAL_ @DataTables.Entries",
                                            paginate: {
                                                previous: "@DataTables.Previous",
                                                next: "@DataTables.Next"
                                            }
                                        },
                                    });
                                },
                                refresh: function () {
                                    dt.ajax.reload();
                                }
                            }
                        });
                    </script>
                </div>
            </div>
        </div>
        <div class="but_blok_footer">
            <div class="btn-group pull-right dropup">
                <button type="button" class="btn btn-success btn-lg dropdown-toggle" data-toggle="dropdown" aria-expanded="false">@Drafts.AddDocument <span class="caret"></span></button>
                <ul class="dropdown-menu" role="menu">
                    @if (_AddSalesQuotation)
                    {
                        <li><a href="@Url.Action("ActionPurchaseOrder", "SalesQuotation", new { @ActionPurchaseOrder = "Add", @IdPO = 0, @fromController = "MyDocuments" })">@SaleQuotations.SQ</a></li>
                    }
                    @if (_AddSalesOrder)
                    {
                        <li><a href="@Url.Action("ActionPurchaseOrder", "SalesOrder", new { @ActionPurchaseOrder = "Add", @IdPO = 0, @fromController = "MyDocuments" })">@SaleOrders.SO</a></li>
                    }
                </ul>
            </div>
        </div>
    </div>

    @*Modal Vendors*@
    <div class="modal fade" id="VendorModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                    <h4 class="modal-title" id="myModalLabelVendorModalVendor">@SaleOrders.Search @SaleOrders.Customer</h4>
                </div>
                <div class="">
                    <div class="bs-example">
                        <div class="col-md-4" style="padding-top:0px;">
                            <div class="row">
                                <label class="col-md-3 control-label">@PurchaseOrders.Code</label>
                                <div class="col-md-9">
                                    @Html.TextBox("txtCodeBP", null, new { @Id = "txtCodeBP", @Name = "txtCodeBP", @placeholder = @PurchaseOrders.Code, @class = "form-control" })
                                </div>
                            </div>
                            <div class="row">
                                <label class="col-md-3 control-label">@PurchaseOrders.Name</label>
                                <div class="col-md-9">
                                    @Html.TextBox("txtNameBP", null, new { @Id = "txtNameBP", @Name = "txtNameBP", @placeholder = @PurchaseOrders.Name, @class = "form-control" })
                                </div>
                            </div>
                        </div>
                        <div class="col-md-2 pull-right">
                            <button type="button" id="SearchVendor" class="btn btn-success btn-ls pull-right"><span class="glyphicon glyphicon-search"></span> @SaleOrders.Search</button>
                        </div>
                    </div>
                    <div class="panel-body">
                        <div class="table-responsive responsive table_cart">
                            <table id="assets-data-table-BP" class="table table-striped table-hover display" style="width:100%;"></table>
                            <script type="text/javascript">
                        var assetListBP;
                        $(function () {
                            assetListBP = {
                                dtBP: null,
                                init: function () {
                                    dtBP = $('#assets-data-table-BP').DataTable({
                                        "autoWidth": true,
                                        "serverSide": true,
                                        "processing": true,
                                        "data": null,
                                        "dom": '<"top"lp>rt<"bottom"ip>',
                                        "ajax": {
                                            "url": "/Sales/SalesDraft/_Customers",
                                            "type": 'POST',
                                            "data": function (data) {
                                                data.pCardCode = $("#txtCodeBP").val();
                                                data.pCardName = $("#txtNameBP").val();
                                            }
                                        },
                                        "columns": [
                                            { "title": "@BusinessPartners.Code", "data": "CardCode", "name": "CardCode" },
                                            { "title": "@BusinessPartners.Name", "data": "CardName", "name": "CardName" },
                                            {
                                                "title": "@BusinessPartners.Type", "name": "CardType", "data": "CardType",
                                                "render": function (data, type, full, meta) {
                                                    switch (data) {
                                                        case "C": return "@BusinessPartners.Customer"; break;
                                                        case "S": return "@BusinessPartners.Vendor"; break;
                                                        case "L": return "@BusinessPartners.Lead"; break;
                                                        default: ""; break;
                                                    }
                                                }
                                            },
                                            {
                                                "title": "", "data": null, "width": "110px", "orderable": false, "name": "",
                                                "render": function (data, type, full, meta) {
                                                    var mReturnValue = "<button type=\"button\" class=\"btn btn-primary btn-xs\" onclick=\"SetVendor('" + data.CardCode + "','" + data.CardName + "',true);\"><span class=\"glyphicon glyphicon-arrow-right\"></span> @PurchaseOrders.Select</button>";
                                                    return mReturnValue;
                                                }
                                            }
                                        ],
                                        "lengthMenu": [[10, 25, 50, 100], [10, 25, 50, 100]],
                                    });
                                },
                                refresh: function () {
                                    dtBP.ajax.reload();
                                }
                            }
                        });
                            </script>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">@SaleOrders.Cancel</button>
                </div>
            </div>
        </div>
    </div>

    @Scripts.Render("~/bundles/SalesDraft-Index")
